From 5a994c9d039987c2739ccd788450205b06e1782c Mon Sep 17 00:00:00 2001
From: Marina Polyakova <m.polyakova@postgrespro.ru>
Date: Sat, 19 Nov 2022 17:39:42 +0300
Subject: [PATCH v2 2/3] doc: building without ICU is not recommended

---
 doc/src/sgml/installation.sgml | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 319c7e6966..df62573db1 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -944,6 +944,15 @@ build-postgresql:
          order to avoid use of <productname>pkg-config</productname>, for
          example, <literal>ICU_CFLAGS=' '</literal>.)
         </para>
+
+        <note>
+         <para>
+          Building without
+          <productname>ICU</productname><indexterm><primary>ICU</primary></indexterm>
+          library is considered a marginal configuration and is not recommended
+          unless really necessary.
+         </para>
+        </note>
        </listitem>
       </varlistentry>
 
-- 
2.25.1

